summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/whysynth/README22
-rw-r--r--audio/whysynth/slack-desc12
-rw-r--r--audio/whysynth/whysynth.SlackBuild81
-rw-r--r--audio/whysynth/whysynth.info10
4 files changed, 125 insertions, 0 deletions
diff --git a/audio/whysynth/README b/audio/whysynth/README
new file mode 100644
index 0000000000..434fdaa7ea
--- /dev/null
+++ b/audio/whysynth/README
@@ -0,0 +1,22 @@
+WhySynth is a versatile softsynth which operates as a plugin for the
+DSSI Soft Synth Interface and is useable with apps like Qtractor and
+Ardour. It features 4 oscillators, 2 filters, 3 LFOs, and 5 env
+generators per voice, plus effects.
+
+It also has many pre-sets, so if you just want to install a DAW and
+a soft synth so you can start noodling around with neat synth sounds,
+start with this one.
+
+It requires:
+* dssi
+* liblo
+* ladspa_sdk
+
+All available from slackbuilds.org
+
+You'll also want to install:
+* a DAW like Qtractor or Ardour (available via SBo)
+* JACK (try qjackctl from SBo)
+* real time priorities (easiest via the 2.6.38.4 kernel,
+ available in Slackware /testing)
+* set_rlimits (available via SBo)
diff --git a/audio/whysynth/slack-desc b/audio/whysynth/slack-desc
new file mode 100644
index 0000000000..7ee0e9b05c
--- /dev/null
+++ b/audio/whysynth/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+whysynth: whysynth (A DSSI Softsynth Plugin)
+whysynth:
+whysynth: WhySynth is a versatile softsynth which operates as a plugin for the
+whysynth: DSSI Soft Synth Interface and is useable with apps like Qtractor and
+whysynth: Ardour. It features 4 oscillators, 2 filters, 3 LFOs, and 5 env
+whysynth: generators per voice, plus effects. It also has many pre-sets, so
+whysynth: for instant gratification, this is a great soft synth to start with.
+whysynth:
+whysynth: http://smbolton.com/whysynth.html
+whysynth:
+whysynth:
diff --git a/audio/whysynth/whysynth.SlackBuild b/audio/whysynth/whysynth.SlackBuild
new file mode 100644
index 0000000000..f3cfd6e585
--- /dev/null
+++ b/audio/whysynth/whysynth.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for whysynth
+
+# Written by klaatu klaatu@nospam.member.fsf.org
+
+PRGNAM=whysynth
+VERSION=${VERSION:-20100922}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README TODO doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/whysynth/whysynth.info b/audio/whysynth/whysynth.info
new file mode 100644
index 0000000000..1beefed10c
--- /dev/null
+++ b/audio/whysynth/whysynth.info
@@ -0,0 +1,10 @@
+PRGNAM="whysynth"
+VERSION="20100922"
+HOMEPAGE="http://smbolton.com/whysynth.html"
+DOWNLOAD="http://smbolton.com/whysynth/whysynth-20100922.tar.bz2"
+MD5SUM="931944999b7def5140c2397c228a4983"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
+APPROVED="Niels Horn"